Bug 805753 - scim-bridge "The lockfile is destroied" in syslog when gnome-terminal exits
scim-bridge "The lockfile is destroied" in syslog when gnome-terminal exits
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: scim-bridge (Show other bugs)
Unspecified Linux
unspecified Severity low
: rc
: ---
Assigned To: Peng Wu
QE Internationalization Bugs
Depends On:
  Show dependency treegraph
Reported: 2012-03-21 22:26 EDT by masaya.hasegawa.hp
Modified: 2016-09-13 23:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-14 05:13:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch (564 bytes, patch)
2012-04-11 00:23 EDT, Peng Wu
no flags Details | Diff
Proposed patch v2 (564 bytes, patch)
2012-04-11 03:01 EDT, Peng Wu
no flags Details | Diff

  None (edit)
Description masaya.hasegawa.hp 2012-03-21 22:26:31 EDT
Description of problem:

When gnome-terminal exit, the below scim-bridge error message is always

scim-bridge: The lockfile is destroied 

On destroy_lockfile (), unlink lockfile.(See the below)
If unlinking is success, this message is logged.
After the message is logged, the below message is logged with
Info level.
scim-bridge: Cleanup, done. Exitting...

So I think this message be not Error level but Info or Debug level,
and it be logged with useing scim_bridge_pdebugln() or 

retval_t ScimBridgeAgentImpl::destroy_lockfile ()
    scim_bridge_pdebugln (7, "Destroying the lockfile...");

    const char *lockfile_path = scim_bridge_path_get_lockfile ();

    if (unlink (lockfile_path)) {
        scim_bridge_perrorln ("Cannot destroy the lockfile");
        return RETVAL_FAILED;
    } else {
        scim_bridge_perrorln ("The lockfile is destroied"); <===
        return RETVAL_SUCCEEDED;

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. open gnome-terminal with scim enabled
2.  exit gonme-terminal 
Actual results:

The below error message is logged in /var/log/messages.
scim-bridge: The lockfile is destroied 

Expected results:

Not error message but debug or info message is logged.

Additional info:

Though there is no problem on the use, a monitoring tool is 
checking error level message of syslog. If it find the message,
it will notify as error.
Comment 2 Peng Wu 2012-04-11 00:23:43 EDT
Created attachment 576668 [details]
Proposed patch
Comment 3 Peng Wu 2012-04-11 03:01:56 EDT
Created attachment 576686 [details]
Proposed patch v2

Fixes a typo.
Comment 7 errata-xmlrpc 2012-05-14 05:13:44 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.